#*******************************************************************************
#Licensed Materials - Property of IBM
#(c) Copyright IBM Corporation 2006-2008. All Rights Reserved.
#
#Note to U.S. Government Users Restricted Rights:  
#Use, duplication or disclosure restricted by GSA ADP Schedule 
#Contract with IBM Corp. 
#*******************************************************************************
#!/bin/sh
# Jazz Build Engine Launcher

pwd | grep -q "[[:space:]]"
if [ $? -eq 0 ];
  then /bin/echo -e \
ERROR:  The Jazz Team Server may not be installed in a directory whose name \\n\
contains a space character.  Please relocate the jazz directory and try again.
  exit 1
fi

START_DIR=$(dirname "$0")


DEFINE="$DEFINE -Djava.awt.headless=true"

    
JAVA="$START_DIR/../../../server/zLinux64/ibm-java2-s390x-50/jre/bin/java"
LAUNCHER=org.eclipse.equinox.launcher_1.0.1.R33x_v20080118.jar         
JAR="$START_DIR/plugins/$LAUNCHER"
  
$JAVA -Xmx512M $DEFINE -jar $JAR -repository https://linux192.rtp.raleigh.ibm.com:9443/jazz  -engineId zLinux_Build_Engine -sleepTime 3 $* 

